using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a turtle corpse" )]
	public class Turtle : BaseCreature
	{
		[Constructable]
		public Turtle() : base( AIType.AI_Animal, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a giant turtle";
			Body = 281;
			BaseSoundID = 0x39D;
			CanSwim = true;

			SetStr( 76, 100 );
			SetDex( 6, 25 );
			SetInt( 11, 20 );

			SetHits( 46, 60 );
			SetStam( 46, 65 );
			SetMana( 0 );

			SetDamage( 5, 15 );

			SetSkill( SkillName.Tactics, 40.1, 60.0 );
			SetSkill( SkillName.HandToHand, 40.1, 60.0 );

			Fame = 700;
			Karma = 0;

			VirtualArmor = 50;
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 6; } }

		public Turtle(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);
			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);
			int version = reader.ReadInt();
		}
	}
}